#include "ECSS_Configuration.hpp"

#ifdef SERVICE_PARAMETER

#include "Services/ParameterService.hpp"
#include "AcubeSATParameters.hpp"

void ParameterService::initializeParameterMap() {
    parameters = {{AcubeSATParameters::SUMCUBootCounter,                                     AcubeSATParameters::suMCUBootCounter},
                  {AcubeSATParameters::SUMCUSysTick,                                         AcubeSATParameters::suMCUSysTick},
                  {AcubeSATParameters::SUMCUTemperature,                                     AcubeSATParameters::suMCUTemperature},
                  {AcubeSATParameters::SUMCUInputVoltage,                                    AcubeSATParameters::suMCUInputVoltage},
                  {AcubeSATParameters::SUFlashIntUsedPercentage,                             AcubeSATParameters::suFlashIntUsedPercentage},
                  {AcubeSATParameters::SUFlashUsedPercentage,                                AcubeSATParameters::suFlashUsedPercentage},
                  {AcubeSATParameters::SUSRAMUsedPercentage,                                 AcubeSATParameters::suSRAMUsedPercentage},
                  {AcubeSATParameters::SUNANDCurrentlyUsedPartition,                         AcubeSATParameters::suNANDCurrentlyUsedPartition},
                  {AcubeSATParameters::SUNANDFlashLCLOn,                                     AcubeSATParameters::suNANDFlashLclOn},
                  {AcubeSATParameters::SUNANDFlashLCLThreshold,                              AcubeSATParameters::suNANDFlashLclThreshold},
                  {AcubeSATParameters::SUNANDFlashScrubbingFrequency,                        AcubeSATParameters::suNANDFlashScrubbingFrequency},
                  {AcubeSATParameters::SURAMScrubbingFrequency,                              AcubeSATParameters::suRAMScrubbingFrequency},
                  {AcubeSATParameters::SUProgramFlashScrubbingFrequency,                     AcubeSATParameters::suProgramFlashScrubbingFrequency},
                  {AcubeSATParameters::SUControlPumpFlashLCLOn,                              AcubeSATParameters::suControlPumpFlashLclOn},
                  {AcubeSATParameters::SUControlPumpFlashLCLThreshold,                       AcubeSATParameters::suControlPumpFlashLclThreshold},
                  {AcubeSATParameters::SUFlowPumpFlashOn,                                    AcubeSATParameters::suFlowPumpFlashOn},
                  {AcubeSATParameters::SUFlowPumpFlashLCLThreshold,                          AcubeSATParameters::suFlowPumpFlashLclThreshold},
                  {AcubeSATParameters::SUCameraON,                                           AcubeSATParameters::suCameraOn},
                  {AcubeSATParameters::SUCameraLCLThreshold,                                 AcubeSATParameters::suCameraLCLThreshold},
                  {AcubeSATParameters::SUPCBTemperature1,                                    AcubeSATParameters::suPCBTemperature1},
                  {AcubeSATParameters::SUPCBTemperature2,                                    AcubeSATParameters::suPCBTemperature2},
                  {AcubeSATParameters::SUPCBTemperatureControlValves,                        AcubeSATParameters::suPCBTemperatureControlValves},
                  {AcubeSATParameters::SUPCBTemperatureFlowValves,                           AcubeSATParameters::suPCBTemperatureFlowValves},
                  {AcubeSATParameters::SUCameraTemperature,                                  AcubeSATParameters::suCameraTemperature},
                  {AcubeSATParameters::SUPDMSTemperature,                                    AcubeSATParameters::suPDMSTemperature},
                  {AcubeSATParameters::SUGrowthMediumTemperature,                            AcubeSATParameters::suGrowthMediumTemperature},
                  {AcubeSATParameters::SULastFailedEvent,                                    AcubeSATParameters::suLastFailedEvent},
                  {AcubeSATParameters::SUPressureLevelSensor1,                               AcubeSATParameters::suPressureLevelSensor1},
                  {AcubeSATParameters::SUPressureLevelSensor2,                               AcubeSATParameters::suPressureLevelSensor2},
                  {AcubeSATParameters::SUHumidityLevelSensor1,                               AcubeSATParameters::suHumidityLevelSensor1},
                  {AcubeSATParameters::SUHumidityLevelSensor2,                               AcubeSATParameters::suHumidityLevelSensor2},
                  {AcubeSATParameters::SURADFET,                                             AcubeSATParameters::suRadfet},
                  {AcubeSATParameters::SUPumpFlowRate1,                                      AcubeSATParameters::suPumpFlowRate1},
                  {AcubeSATParameters::SUPumpFlowRate2,                                      AcubeSATParameters::suPumpFlowRate2},
                  {AcubeSATParameters::SUControlChamberValve1,                               AcubeSATParameters::suControlChamberValve1},
                  {AcubeSATParameters::SUControlChamberValve2,                               AcubeSATParameters::suControlChamberValve2},
                  {AcubeSATParameters::SUControlChamberValve3,                               AcubeSATParameters::suControlChamberValve3},
                  {AcubeSATParameters::SUControlSandwitchValve1,                             AcubeSATParameters::suControlSandwitchValve1},
                  {AcubeSATParameters::SUControlSandwitchValve2,                             AcubeSATParameters::suControlSandwitchValve2},
                  {AcubeSATParameters::SUControlSandwitchValve3,                             AcubeSATParameters::suControlSandwitchValve3},
                  {AcubeSATParameters::SUFlowValveInlet1,                                    AcubeSATParameters::suFlowValveInlet1},
                  {AcubeSATParameters::SUFlowValveInlet2,                                    AcubeSATParameters::suFlowValveInlet2},
                  {AcubeSATParameters::SUFlowValveInlet3,                                    AcubeSATParameters::suFlowValveInlet3},
                  {AcubeSATParameters::SUFlowValveOutlet1,                                   AcubeSATParameters::suFlowValveOutlet1},
                  {AcubeSATParameters::SUFlowValveOutlet2,                                   AcubeSATParameters::suFlowValveOutlet2},
                  {AcubeSATParameters::SUFlowValveOutlet3,                                   AcubeSATParameters::suFlowValveOutlet3},
                  {AcubeSATParameters::SUFlowValveTest1,                                     AcubeSATParameters::suFlowValveTest1},
                  {AcubeSATParameters::SUFlowValveTest2,                                     AcubeSATParameters::suFlowValveTest2},
                  {AcubeSATParameters::SULEDIntensity1,                                      AcubeSATParameters::suLEDIntensity1},
                  {AcubeSATParameters::SULEDIntensity2,                                      AcubeSATParameters::suLEDIntensity2},
                  {AcubeSATParameters::SULEDIntensity3,                                      AcubeSATParameters::suLEDIntensity3},
                  {AcubeSATParameters::SULEDIntensity4,                                      AcubeSATParameters::suLEDIntensity4},
                  {AcubeSATParameters::SUNumberOfPhotosTaken,                                AcubeSATParameters::suNumberOfPhotosTaken},
                  {AcubeSATParameters::SUPhotoExposureTime,                                  AcubeSATParameters::suPhotoExposureTime},
                  {AcubeSATParameters::SUPhotoInterval,                                      AcubeSATParameters::suPhotoInterval},
                  {AcubeSATParameters::SUPhotoCroppedResolution,                             AcubeSATParameters::suPhotoCroppedResolution},
                  {AcubeSATParameters::SUPhotoCompressionRate,                               AcubeSATParameters::suPhotoCompressionRate},
                  {AcubeSATParameters::SUExperimentNumber,                                   AcubeSATParameters::suExperimentNumber},
                  {AcubeSATParameters::SUOnBoardTime,                                        AcubeSATParameters::suOnBoardTime},
                  {AcubeSATParameters::SUTemperatureFromHumiditySensor1,                     AcubeSATParameters::suTemperatureFromHumiditySensor1},
                  {AcubeSATParameters::SUTemperatureFromHumiditySensor2,                     AcubeSATParameters::suTemperatureFromHumiditySensor2},};
}

#endif
